import { StorageInterface } from '../types/storage.interface';
export declare class S3Storage implements StorageInterface {
    static protocol: string;
    private s3Client;
    constructor();
    getProtocol(): string;
    read(uri: string): Promise<string>;
    exists(uri: string): Promise<boolean>;
    write(uri: string, content: any): Promise<void>;
    private static parseUri;
}
