import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { DynamoDBTableState } from '../states/dynamodb-table.state';
import { TrickContext } from '../types/trick-context';
export declare type DecreaseDynamoDBProvisionedRcuWcuState = DynamoDBTableState[];
export declare class DecreaseDynamoDBProvisionedRcuWcuTrick implements TrickInterface<DecreaseDynamoDBProvisionedRcuWcuState> {
    static machineName: string;
    private ddbClient;
    private rgtClient;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: DecreaseDynamoDBProvisionedRcuWcuState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: DecreaseDynamoDBProvisionedRcuWcuState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, currentState: DecreaseDynamoDBProvisionedRcuWcuState, options: TrickOptionsInterface): Promise<Listr>;
    private listTableNames;
    private getTableState;
    private conserveTableProvisionedRcuWcu;
    private restoreTableProvisionedRcuWcu;
    private isTableIncluded;
}
