import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { EC2InstanceState } from '../states/ec2-instance.state';
import { TrickContext } from '../types/trick-context';
export declare type ShutdownEC2InstancesState = EC2InstanceState[];
export declare class ShutdownEC2InstancesTrick implements TrickInterface<ShutdownEC2InstancesState> {
    static machineName: string;
    private ec2Client;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: ShutdownEC2InstancesState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: ShutdownEC2InstancesState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: ShutdownEC2InstancesState, options: TrickOptionsInterface): Promise<Listr>;
    private listReservations;
    private conserveInstance;
    private restoreInstance;
    private static prepareFilters;
}
