import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { RdsClusterState } from '../states/rds-cluster.state';
import { TrickContext } from '../types/trick-context';
export declare type StopRdsDatabaseClustersState = RdsClusterState[];
export declare class StopRdsDatabaseClustersTrick implements TrickInterface<StopRdsDatabaseClustersState> {
    static machineName: string;
    private rdsClient;
    private rgtClient;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: StopRdsDatabaseClustersState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: StopRdsDatabaseClustersState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: StopRdsDatabaseClustersState, options: TrickOptionsInterface): Promise<Listr>;
    private conserveCluster;
    private restoreCluster;
    private listClusters;
    private isArnIncluded;
}
