import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { AutoScalingGroupState } from '../states/auto-scaling-group.state';
import { TrickContext } from '../types/trick-context';
export declare type SuspendAutoScalingGroupsState = AutoScalingGroupState[];
export declare class SuspendAutoScalingGroupsTrick implements TrickInterface<SuspendAutoScalingGroupsState> {
    private asClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<void>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    private listAutoScalingGroups;
    private conserveProcesses;
    private restoreProcesses;
    private isAsgIncluded;
}
