import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../types/trick.interface';
import { TrickOptionsInterface } from '../types/trick-options.interface';
import { RdsDatabaseState } from '../states/rds-database.state';
import { TrickContext } from '../types/trick-context';
export declare type StopRdsDatabaseInstancesState = RdsDatabaseState[];
export declare class StopRdsDatabaseInstancesTrick implements TrickInterface<StopRdsDatabaseInstancesState> {
    static machineName: string;
    private rdsClient;
    private rgtClient;
    constructor();
    getMachineName(): string;
    prepareTags(task: ListrTaskWrapper<any, any>, context: TrickContext, options: TrickOptionsInterface): Promise<Listr | void>;
    getCurrentState(task: ListrTaskWrapper<any, any>, context: TrickContext, state: StopRdsDatabaseInstancesState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: StopRdsDatabaseInstancesState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: StopRdsDatabaseInstancesState, options: TrickOptionsInterface): Promise<Listr>;
    private conserveDatabase;
    private restoreDatabase;
    private listDatabases;
    private isArnIncluded;
}
